#!/usr/bin/env python

from distutils.core import setup
import platform


if platform.system() == 'Linux':
    doc_dir = '/usr/share/doc/pyIFBabel-0.2'
else:
    try:
        from win32com.shell import shellcon, shell
        homedir = shell.SHGetFolderPath(0, shellcon.CSIDL_APPDATA, 0, 0)
        appdir = 'pyIFBabel'
        doc_dir = os.path.join(homedir, appdir)
    except:
        pass


setup(name='pyifbabel',
      version='0.2',
      description='A pure-Python implementation of the Treaty of Babel',
      author='Brandon Invergo',
      author_email='brandon@brandoninvergo.com',
      url='http://grotesque.invergo.net/',
      packages=['treatyofbabel', 'treatyofbabel.formats', 'treatyofbabel.utils',
          'treatyofbabel.wrappers'],
      scripts=['pyIFBabel'],
      data_files=[(doc_dir, ['COPYING', 'README'])],
      classifiers=[
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Development Status :: 4 - Beta',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.5',
        'Operating System :: OS Independent',
        'Intended Audience :: Developers',
        'Topic :: Games/Entertainment'],
     )
